# Type Alias HistoryProviderRegistry

type HistoryProviderRegistry = {
registerHistoryApiProvider(provider: HistoryApi): void;
unregisterHistoryApiProvider(): void;
}

#### Hierarchy

- HistoryProviderRegistry
  - ServerAPI

- Defined in history.ts:115

##### Index

### Methods

registerHistoryApiProvider
unregisterHistoryApiProvider

## Methods

### registerHistoryApiProvider

- registerHistoryApiProvider(provider: HistoryApi): void

  #### Parameters

  - provider: HistoryApi

  #### Returns void

  - Defined in history.ts:116

### unregisterHistoryApiProvider

- unregisterHistoryApiProvider(): void

  #### Returns void

  - Defined in history.ts:117